<?php

use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'print-suppliers/merchize'], function () {

    Route::any('/auto-fulfill', ['uses' => 'MerchizeController@autoFulfill']);

    Route::get('/products', ['uses' => 'MerchizeController@getMerchizeProducts']);
    Route::get('/variants', ['uses' => 'MerchizeController@getMerchizeVariants']);

    Route::post('/fulfill-order', ['uses' => 'MerchizeController@fulfillOrder']);
    Route::post('/webhook', [ 'as' => 'print-suppliers::merchize::webhook', 'uses' => 'MerchizeController@merchizeWebhook']);

    Route::get('/manual-update-tracking', 'MerchizeController@manualUpdateOrderTracking');

    Route::any('crawl-products', ['uses' => 'MerchizeController@crawlMerchize']);
    Route::any('update-products', ['uses' => 'MerchizeController@updateProducts']);

});
